from Crypto.PublicKey import RSA



key = RSA.generate(2048)

# Key est un objet de la classe RSA qui contient la clé privée



k = key.exportKey('PEM')

# k est la clé privée



p = key.publickey().exportKey('PEM')

# p est la clé publique



# on exporte les clés dans 2 fichiers

with open('private.txt','w') as kfile:

	kfile.write(k.decode())

	kfile.close()



with open('public.txt','w') as pfile:

	pfile.write(p.decode())

	pfile.close()

